# VectorNav C++ Library: vn::sensors::InsBasicConfigurationRegisterVn300 Struct Reference

vn::sensors::InsBasicConfigurationRegisterVn300 Struct Reference
Register Structures

Structure representing the INS Basic Configuration register for a VN-300 sensor. More...

`#include <registers.h>`

## Public Member Functions

| InsBasicConfigurationRegisterVn300 (protocol::uart::Scenario scenarioIn, bool ahrsAidingIn, bool estBaselineIn)
| Creates an initializes a new InsBasicConfigurationRegisterVn300 structure. More...

## Public Attributes

protocol::uart::Scenario | scenario
| The scenario field.
bool | ahrsAiding
| The ahrsAiding field.
bool | estBaseline
| The estBaseline field.

## Detailed Description

Structure representing the INS Basic Configuration register for a VN-300 sensor.

## Constructor & Destructor Documentation

vn::sensors::InsBasicConfigurationRegisterVn300::InsBasicConfigurationRegisterVn300 | ( | protocol::uart::Scenario | scenarioIn,
|  | bool | ahrsAidingIn,
|  | bool | estBaselineIn
| ) |  |

inline

Creates an initializes a new InsBasicConfigurationRegisterVn300 structure.

Parameters

  [in] | scenarioIn | Value to initialize the scenario field with.
  [in] | ahrsAidingIn | Value to initialize the ahrsAiding field with.
  [in] | estBaselineIn | Value to initialize the estBaseline field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h